Bug 110143 - vsftpd %post changes user "ftp" home directory
Summary: vsftpd %post changes user "ftp" home directory
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: vsftpd   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-15 02:21 UTC by Chris Adams
Modified: 2014-03-17 02:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-02 14:45:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Adams 2003-11-15 02:21:48 UTC
The %post section of the spec file unconditionally changes the home
directory of the "ftp" user.  I had changed the home directory to
match my setup, but on installing a new version (compiled without PIE
per the hang bugzilla), it got changed back and broke my mirror until
I realized what had happened.

Comment 1 Chris Adams 2003-11-16 21:15:18 UTC
Another vsftpd packaging bug: /etc/logrotate.d/vsftpd references
/var/log/vsftpd.log, but by default, vsftpd creates /var/log/xferlog.

Comment 2 Chris Adams 2004-06-02 14:45:32 UTC
Okay, WRT the home directory bit, I'm an idiot and didn't see the
"anon_root" config directive.

And the log file name is consistent everywhere I think.



Note You need to log in before you can comment on or make changes to this bug.